/* CSS Styling for the registration form */
.form-items {
  margin-bottom: 20px;
}

label {
  display: inline-block;
  width: 120px;
  margin-left: 10px; /* Add left margin */
}

h2 {
  margin-left: 10px; /* Add left margin */
}

input {
  display: inline-block;
  width: 200px;
  padding: 8px; /* Increase padding */
  border: 1px solid #ccc;
  border-radius: 4px;
}

input.ng-invalid.ng-touched {
  border-color: red; /* Add red border to required fields that are not filled in */
}

div.error-message {
  margin-left: 10px; /* Adjust left margin for error messages */
  color: red;
}

.buttons {
  margin-top: 20px;
}

button {
  margin-right: 10px;
  padding: 10px 20px;
  background-color: #4CAF50;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

button:hover {
  background-color: #45a049;
}
/* CSS Styling for the registration form */
.form-items {
  margin-bottom: 20px;
}

label {
  display: inline-block;
  width: 120px;
  margin-left: 10px; /* Add left margin */
}

h2 {
  margin-left: 10px; /* Add left margin */
}

input {
  display: inline-block;
  width: 200px;
  padding: 8px; /* Increase padding */
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 18px;
}

input.ng-invalid.ng-touched {
  border-color: red; /* Add red border to required fields that are not filled in */
}



.buttons {
  margin-top: 20px;
  text-align: center; /* Center align the buttons */
  margin-bottom: 1rem;
}

button {
  margin-right: 10px;
  padding: 10px 20px;
  background-color: #4CAF50;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

button:hover {
  background-color: #45a049;
}
.form-items div{
  margin-left: 5rem;
}